#!/usr/bin/env node

import cliEngine from '@toptal/davinci-cli-shared'

import { createNewCommand } from '../src/commands/new.js'
import { createNewAppCommand } from '../src/commands/new-app.js'
import { createNewLibCommand } from '../src/commands/new-lib.js'

cliEngine.loadCommands(
  [createNewCommand, createNewAppCommand, createNewLibCommand],
  'davinci-bootstrap'
)
cliEngine.bootstrap()
